---
lang: en
title: 'API docs: rest.sequencehandler.handle'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.sequencehandler.handle.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [SequenceHandler](./rest.sequencehandler.md) &gt; [handle](./rest.sequencehandler.handle.md)

## SequenceHandler.handle() method

Handle the request by running the configured sequence of actions.

**Signature:**

```typescript
handle(context: RequestContext): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  context | [RequestContext](./rest.requestcontext.md) | The request context: HTTP request and response objects, per-request IoC container and more. |

**Returns:**

Promise&lt;void&gt;


